net.sf.jasperreports.components.barcode4j

## Class RoyalMailCustomerComponent

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.BarcodeComponent
  - - net.sf.jasperreports.components.barcode4j.FourStateBarcodeComponent
    - - net.sf.jasperreports.components.barcode4j.RoyalMailCustomerComponent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Component, JRChangeEventsSupport, JRCloneable

      public class RoyalMailCustomerComponent
      extends FourStateBarcodeComponent

  Version:
    $Id: RoyalMailCustomerComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.components.barcode4j.FourStateBarcodeComponent

      `PROPERTY_ASCENDER_HEIGHT, PROPERTY_CHECKSUM_MODE, PROPERTY_INTERCHAR_GAP_WIDTH, PROPERTY_TRACK_HEIGHT`

    - ### Fields inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `ORIENTATION_DOWN, ORIENTATION_LEFT, ORIENTATION_RIGHT, ORIENTATION_UP, PROPERTY_CODE_EXPRESSION, PROPERTY_EVALUATION_GROUP, PROPERTY_EVALUATION_TIME, PROPERTY_MODULE_WIDTH, PROPERTY_ORIENTATION, PROPERTY_PATTERN_EXPRESSION, PROPERTY_PREFIX, PROPERTY_QUIET_ZONE, PROPERTY_TEXT_POSITION, PROPERTY_VERTICAL_QUIET_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoyalMailCustomerComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `receive(BarcodeVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.FourStateBarcodeComponent

      `getAscenderHeight, getChecksumMode, getIntercharGapWidth, getTrackHeight, setAscenderHeight, setChecksumMode, setChecksumMode, setIntercharGapWidth, setTrackHeight`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `clone, cloneObject, getCodeExpression, getEvaluationGroup, getEvaluationTimeValue, getEventSupport, getModuleWidth, getOrientation, getPatternExpression, getQuietZone, getTextPosition, getVerticalQuietZone, setCodeExpression, setEvaluationGroup, setEvaluationTimeValue, setModuleWidth, setOrientation, setPatternExpression, setQuietZone, setTextPosition, setTextPosition, setVerticalQuietZone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoyalMailCustomerComponent

          public RoyalMailCustomerComponent()

  - ### Method Detail

    - #### receive

          public void receive(BarcodeVisitor visitor)

      Specified by:
        `receive` in class `BarcodeComponent`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com